package com.ssj.bean.sys.game.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @author yrf
 * @time 2020/4/17 16:24
 */
@Entity
@Table(name = "tb_game_answer_record")
public class GameAnswerRecord extends BaseEntity {

    private static final long serialVersionUID = 8026660609057879104L;

    private String userId;
    private String gameRespondentId;
    private Integer moduleCode;
    private Integer questionCode;
    private Integer usedTime;
    private Integer answerResult;
    private Date createTime;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getGameRespondentId() {
        return gameRespondentId;
    }

    public void setGameRespondentId(String gameRespondentId) {
        this.gameRespondentId = gameRespondentId;
    }

    public Integer getModuleCode() {
        return moduleCode;
    }

    public void setModuleCode(Integer moduleCode) {
        this.moduleCode = moduleCode;
    }

    public Integer getQuestionCode() {
        return questionCode;
    }

    public void setQuestionCode(Integer questionCode) {
        this.questionCode = questionCode;
    }

    public Integer getUsedTime() {
        return usedTime;
    }

    public void setUsedTime(Integer usedTime) {
        this.usedTime = usedTime;
    }

    public Integer getAnswerResult() {
        return answerResult;
    }

    public void setAnswerResult(Integer answerResult) {
        this.answerResult = answerResult;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
